GH-PR-CHECKS(1)

NAME
gh-pr-checks - Show CI status for a single pull request

SYNOPSIS
gh pr checks [<number> | <url> | <branch>] [flags]

DESCRIPTION
Show CI status for a single pull request.

Without an argument, the pull request that belongs to the current branch is selected.

When the --json flag is used, it includes a bucket field, which categorizes the state field into pass, fail, pending, skipping, or cancel.

Additional exit codes:
    8: Checks pending

OPTIONS

--fail-fast
    Exit watch mode on first check failure

-i, --interval <int> (default 10)
    Refresh interval in seconds in watch mode

-q, --jq <expression>
    Filter JSON output using a jq expression

--json <fields>
    Output JSON with the specified fields

--required
    Only show checks that are required

-t, --template <string>
    Format JSON output using a Go template; see "gh help formatting"

--watch
    Watch checks until they finish

-w, --web
    Open the web browser to show details about checks

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

JSON FIELDS
bucket, completedAt, description, event, link, name, startedAt, state, workflow

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

SEE ALSO
gh-pr(1)